Subject: Re: bug#14704: 24.3.50; cl-lib breaks built-in Emacs version

From: Eli Zaretskii <[email-masked]>
Date: Mon, 24 Jun 2013 22:20:02 +0300

> Date: Mon, 24 Jun 2013 20:57:04 +0200
> From: Sebastian Wiesner <[email-masked]>
> Cc: [email-masked], [email-masked]
> 
> > If all that code were not tested at all, it would never have worked at all.
> 
> It is tested, for sure, but probably less by you, and more by your users.

It is tested both by developers and users.  Emacs has a myriad of
features, some of which are not even documented clearly.  No matter
how well and long one tests their own code, they can never test it in
all the possible combinations with the other features and use cases.

As for "less by you", please be careful, because someone might take
offense again.  E.g., I have a large body of unit tests for display
features, such as cursor positioning, which I run by hand every time I
touch any of the related code.